javax.portlet.filter

## Class RenderRequestWrapper

- java.lang.Object
- - javax.portlet.filter.PortletRequestWrapper
  - - javax.portlet.filter.RenderRequestWrapper

All Implemented Interfaces:
  PortletRequest, RenderRequest

    public class RenderRequestWrapper
    extends PortletRequestWrapper
    implements RenderRequest

The `RenderRequestWrapper` provides a convenient implementation of the `RenderRequest` interface that can be subclassed by developers wishing to adapt the request. This class implements the Wrapper or Decorator pattern. Methods default to calling through to the wrapped request object.

Since:
  2.0
See Also:
  `RenderRequest`

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.portlet.PortletRequest

`PortletRequest.P3PUserInfos`

### Field Summary

### Fields inherited from interface javax.portlet.RenderRequest

`ETAG`

### Fields inherited from interface javax.portlet.PortletRequest

`ACTION_PHASE, ACTION_SCOPE_ID, BASIC_AUTH, CCPP_PROFILE, CLIENT_CERT_AUTH, DIGEST_AUTH, EVENT_PHASE, FORM_AUTH, LIFECYCLE_PHASE, RENDER_HEADERS, RENDER_MARKUP, RENDER_PART, RENDER_PHASE, RESOURCE_PHASE, USER_INFO`

### Constructor Summary

Constructors
Constructor and Description
`RenderRequestWrapper(RenderRequest request)` Creates an `RenderRequest` adaptor wrapping the given request object.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getETag()` The default behavior of this method is to call `getETag()` on the wrapped request object.
`RenderRequest` `getRequest()` Return the wrapped request object.
`void` `setRequest(RenderRequest request)` Sets the request object being wrapped.

### Methods inherited from class javax.portlet.filter.PortletRequestWrapper

`getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute, setRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.portlet.PortletRequest

`getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getPrivateParameterMap, getProperties, getProperty, getPropertyNames, getPublicParameterMap, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowID, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

### Constructor Detail

#### RenderRequestWrapper

    public RenderRequestWrapper(RenderRequest request)

Creates an `RenderRequest` adaptor wrapping the given request object.

Parameters:
  `request` - the render request to wrap
Throws:
  `IllegalArgumentException` - if the request is `null`

### Method Detail

#### getRequest

    public RenderRequest getRequest()

Return the wrapped request object.

Overrides:
  `getRequest` in class `PortletRequestWrapper`
Returns:
  the wrapped request

#### setRequest

    public void setRequest(RenderRequest request)

Sets the request object being wrapped.

Parameters:
  `request` - the request to set
Throws:
  `IllegalArgumentException` - if the request is null.

#### getETag

    public String getETag()

The default behavior of this method is to call `getETag()` on the wrapped request object.

Specified by:
  `getETag` in interface `RenderRequest`
Returns:
  the validation tag if the portlet container has a cached response for this validation tag, or `null` if no cached response exists.